using AutoMapper;
using OASystem.Domain.Entities.Customer;
using OASystem.Domain.ViewModels.CRM;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Infrastructure.Repositories.CRM
{
    /// <summary>
    /// 表操作记录
    /// </summary>
    public class TableOperationRecordRepository : BaseRepository<Crm_TableOperationRecord, TableOperationRecordView>
    {
        private readonly IMapper _mapper;
        public TableOperationRecordRepository(SqlSugarClient sqlSugar, IMapper mapper) :
            base(sqlSugar)
        {
            this._mapper = mapper;
        }

        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="_TableOperationRecord"></param>
        /// <returns></returns>
        public async Task<bool> _Add(Crm_TableOperationRecord _TableOperationRecord)
        {
            var add = await _sqlSugar.Insertable(_TableOperationRecord).ExecuteCommandAsync();
            if (add > 0)
            {
                return true;
            }
            return false;
        }
    }
}
